Bug 796174 - [Kn_IN] x-chat doesn't load in Kannada (kn_IN) locale
[Kn_IN] x-chat doesn't load in Kannada (kn_IN) locale
Status: NEW
Product: Fedora
Classification: Fedora
Component: xchat (Show other bugs)
24
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Christopher Aillon (sabbatical, not receiving bugmail)
Fedora Extras Quality Assurance
: i18n
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-22 07:32 EST by Shankar Prasad
Modified: 2016-05-30 03:12 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Shankar Prasad 2012-02-22 07:32:12 EST
Description of problem:
xchat fails to load in Kannada (kn_IN) locale and falls back to en_US locale

Version-Release number of selected component (if applicable):
xchat-2.8.8-10.fc16.x86_64

How reproducible:


Steps to Reproduce:
1.Install xchat
2.Login to Kannada (kn_IN) locale
3.Run xchat or LANG=kn_IN.utf8 xchat
  
Actual results:
Xchat falls back to en_US version

Expected results:
xchat should show interface in Kannada (kn_IN)

Additional info:
Error message:  
"Xchat CRITICAL *** default event text failed to build!
Aborted (core dumped)
Comment 1 Shankar Prasad 2012-04-18 05:55:00 EDT
Ping
Comment 2 Ankit Patel 2012-07-02 06:37:22 EDT
Same here, didn't work for me too!

Here's the gdb trace report!

[ankit@ankit ~]$ gdb xchat
GNU gdb (GDB) Fedora (7.4.50.20120120-49.fc17)
Copyright (C) 2012 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-redhat-linux-gnu".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>...
Reading symbols from /usr/bin/xchat...Reading symbols from /usr/lib/debug/usr/bin/xchat.debug...done.
done.
(gdb) run
Starting program: /usr/bin/xchat 
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".
Gtk-Message: Failed to load module "pk-gtk-module"
XChat CRITICAL *** default event text failed to build!

Program received signal SIGABRT, Aborted.
0x00007ffff6975965 in __GI_raise (sig=sig@entry=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
64	  return INLINE_SYSCALL (tgkill, 3, pid, selftid, sig);
Missing separate debuginfos, use: debuginfo-install at-spi2-atk-2.4.0-2.fc17.x86_64 at-spi2-core-2.4.2-1.fc17.x86_64 expat-2.1.0-1.fc17.x86_64 gtk2-engines-2.20.2-4.fc17.x86_64 gvfs-1.12.3-1.fc17.x86_64 keyutils-libs-1.5.5-2.fc17.x86_64 krb5-libs-1.10.2-2.fc17.x86_64 libXau-1.0.6-3.fc17.x86_64 libXcomposite-0.4.3-3.fc17.x86_64 libXcursor-1.1.13-1.fc17.x86_64 libXdamage-1.1.3-3.fc17.x86_64 libXfixes-5.0-2.fc17.x86_64 libXi-1.6.1-1.fc17.x86_64 libXinerama-1.1.2-1.fc17.x86_64 libXrandr-1.3.1-3.fc17.x86_64 libXrender-0.9.7-1.fc17.x86_64 libbluray-0.2.2-1.fc17.x86_64 libcanberra-0.28-6.fc17.x86_64 libcanberra-gtk2-0.28-6.fc17.x86_64 libcom_err-1.42.3-2.fc17.x86_64 libffi-3.0.10-2.fc17.x86_64 libgcc-4.7.0-5.fc17.x86_64 libogg-1.3.0-1.fc17.x86_64 libpng-1.5.10-1.fc17.x86_64 libselinux-2.1.10-3.fc17.x86_64 libtdb-1.2.9-14.fc17.x86_64 libtool-ltdl-2.4.2-3.fc17.x86_64 libvorbis-1.3.3-1.fc17.x86_64 libxcb-1.8.1-1.fc17.x86_64 nss-softokn-freebl-3.13.4-2.fc17.x86_64 pixman-0.24.4-2.fc17.x86_64 zlib-1.2.5-6.fc17.x86_64
(gdb) bt
#0  0x00007ffff6975965 in __GI_raise (sig=sig@entry=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
#1  0x00007ffff6977118 in __GI_abort () at abort.c:91
#2  0x000000000045ebec in pevent_make_pntevts () at text.c:1495
#3  0x000000000045ecdb in load_text_events () at text.c:1684
#4  0x0000000000462d61 in xchat_init () at xchat.c:821
Comment 3 Fedora End Of Life 2013-01-16 07:33:34 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Akira TAGOH 2013-01-30 21:45:02 EST
This issue still present in even f18.
Comment 5 Jens Petersen 2013-01-30 21:52:10 EST
Seems removing the .mo file works around this - so could it be some problem with the .po file?
Comment 6 Shankar Prasad 2013-01-31 03:55:38 EST
Jens,

Yes, this workaround removes the error message and loads the interface in en_US. How can I check the sanity of translations?

Thanks
Shankar
Comment 7 Fedora End Of Life 2013-12-21 03:33:32 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Akira TAGOH 2014-01-14 23:11:17 EST
(In reply to Shankar Prasad from comment #6)
> Jens,
> 
> Yes, this workaround removes the error message and loads the interface in
> en_US. How can I check the sanity of translations?

In fact this isn't a translation issue. the code looks broken and not dealing with utf-8 string properly.
Comment 11 Fedora End Of Life 2015-05-29 04:43:01 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 12 Akira TAGOH 2015-06-01 23:06:57 EDT
This still persists on f22. tested with LANG=kn_IN.UTF-8 xchat.
Comment 14 Satyabrata Maitra 2016-05-30 03:12:23 EDT
xchat for Indic languages are throwing CRITICAL traceback with core dump in F24. Crashing completely.

Component version tested : xchat-2.8.8-31.fc24

Note You need to log in before you can comment on or make changes to this bug.